Manuel PHP
Précédent |  | Suivant

# dbmnextkey

(PHP 3, PHP 4, PECL)

dbmnextkey -- Lit la clé suivante

## Description

string dbmnextkey ( resource dbm_identifier, string key )

Retourne la clé après la clé `key`.

## Liste de paramètres

`dbm_identifier`

  L'identifiant de lien DBM, retourné par la fonction dbmopen().

`key`

  La clé précédente

## Valeurs de retour

La clé suivante, si possible

## Exemples

En appelant dbmfirstkey(), puis successivement dbmnextkey(), il est possible de passer en revue toute les paires clé/valeur de la base de données dbm. Par exemple :

Exemple 1. Passer en revue une base de données d'une base dbm

`<?php $key = dbmfirstkey($dbm_id); while ($key) { echo "$key = " . dbmfetch($dbm_id, $key) . "\n"; $key = dbmnextkey($dbm_id, $key); } ?>`

## Voir aussi

dbmfirstkey()

Précédent | Sommaire | Suivant
dbminsert | Niveau supérieur | dbmopen